Progressively switch Wikimedia wikis from Tidy to RemexHTML
Open, NormalPublic

Description

As of 2018-06-14, the following groups remain to be converted:

  • 78 Wikipedias
  • 12 Wiktionaries
  • 2 Wikibookses
  • 0 Wikiquotes
  • 0 Wikivoyages
  • 10 Wikisources
  • 0 Wikinewses
  • 0 Wikiversities
  • 2 Shared and testing wikis
  • 0 Wikimedias: T188881
  • 0 Private wikis

On July 5, 2018, all wikis that are still using Tidy will be switched over to use RemexHtml.
https://quarry.wmflabs.org/query/27652 shows linter counts for ns0 for these remaining wikis (except commons).

Related Objects

StatusAssignedTask
OpenNone
ResolvedJdforrester-WMF
Resolved Zoranzoki21
Declined Zoranzoki21
Resolved Zoranzoki21
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedtstarling
Resolvedssastry
Resolvedbd808
Resolvedssastry
Resolvedcscott
Declinedtstarling
Resolvedtstarling
ResolvedElitre
DeclinedNone
Resolvedssastry
ResolvedJdforrester-WMF
Resolvedssastry
ResolvedJdforrester-WMF
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
Resolvedssastry
ResolvedPcoombe
Resolvedssastry
DuplicateNone
Resolvedssastry
Resolvedssastry
There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2017, 3:19 PM
Nirmos added a subscriber: Nirmos.Sep 14 2017, 7:09 AM
Elitre added a subscriber: Elitre.Oct 17 2017, 1:59 PM
TTO added a subscriber: TTO.EditedJan 25 2018, 8:23 AM

What is going to happen on locked wikis that have linter errors? Will a staff member fix these errors themselves? (Not all locked wikis are abandoned and irrelevant - I'm thinking in particular of the Wikimania wikis, which contain archived content that people may wish to view.)

Do stewards have the ability to edit locked wikis?

TTO added a comment.Feb 27 2018, 12:35 AM

Do stewards have the ability to edit locked wikis?

I believe so. The issue is whether there are stewards with the required technical skill set and/or the time to deal with the problems, though.

Do stewards have the ability to edit locked wikis?

I believe so. The issue is whether there are stewards with the required technical skill set and/or the time to deal with the problems, though.

If the errors are minor, then they probably aren't worth fixing. I asked the question in the related task.

ssastry updated the task description. (Show Details)Mar 21 2018, 5:16 PM
Alfa80 added a subscriber: Alfa80.Apr 3 2018, 2:32 AM
He7d3r added a subscriber: He7d3r.Apr 6 2018, 7:37 PM
Louperivois added a subscriber: Louperivois.EditedApr 10 2018, 11:39 PM

It seems the VisualEditor is generating new Lint Errors. This should be fixed before deployment. T164053

It seems the VisualEditor is generating new Lint Errors. This should be fixed before deployment. T164053

I see only one example in the linked task. Can you clear out user mistake/manipulation?

ssastry updated the task description. (Show Details)Apr 12 2018, 3:17 AM
ssastry updated the task description. (Show Details)

I'm not sure if incubatorwiki was switched yet. But Xaosflux and his bot are going to start working on the wiki this weekend. As of the moment, we have over 3,000 high-priority and over 10,000 medium-priority errors on incubatorwiki, and because of the nature of the wiki and its test communities, it has not been so easy to get all the errors corrected. So I'm inclined to ask, if this is still possible, for incubatorwiki to be in the absolute final set of wikis to be converted, so we have time to address this. Thank you.

I'm not sure if incubatorwiki was switched yet. But Xaosflux and his bot are going to start working on the wiki this weekend. As of the moment, we have over 3,000 high-priority and over 10,000 medium-priority errors on incubatorwiki, and because of the nature of the wiki and its test communities, it has not been so easy to get all the errors corrected. So I'm inclined to ask, if this is still possible, for incubatorwiki to be in the absolute final set of wikis to be converted, so we have time to address this. Thank you.

You don't need to address medium-priority issues. Only high-priority ones.

And, yes, if a wiki still has too many of those issues, we will switch end of June as planned.

Thank you for your response, @ssastry. No, I understand that an update will happen then. I just want to give us the maximum time possible before then to clean up.

Lofhi added a subscriber: Lofhi.Wed, May 23, 5:50 AM
ssastry updated the task description. (Show Details)Thu, Jun 14, 4:52 PM
ssastry updated the task description. (Show Details)
ssastry updated the task description. (Show Details)Thu, Jun 14, 5:06 PM
ssastry updated the task description. (Show Details)Fri, Jun 15, 7:15 PM